# Asterisk Project : Asterisk 13 Function_IAXPEER

Created by wikibot on Aug 08, 2014

# IAXPEER()

### Synopsis

Gets IAX peer information.

### Description

Gets information associated with the specified IAX2 peer.

### Syntax

    IAXPEER(peername,item)

##### Arguments

- `peername`
  - `CURRENTCHANNEL` - If peername is specified to this value, return the IP address of the endpoint of the current channel
- `item` - If peername is specified, valid items are:
  - `ip` - (default) The IP address.
  - `status` - The peer's status (if `qualify=yes`)
  - `mailbox` - The configured mailbox.
  - `context` - The configured context.
  - `expire` - The epoch time of the next expire.
  - `dynamic` - Is it dynamic? (yes/no).
  - `callerid_name` - The configured Caller ID name.
  - `callerid_num` - The configured Caller ID number.
  - `codecs` - The configured codecs.
  - `codecx` - Preferred codec index number x (beginning with `0`)

### See Also

- Asterisk 13 Function_SIPPEER

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538